{% extends "base.html" %}

{% load staticfiles %}

{% block title %}Books{% endblock %}

{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">
                Books
            </h3>
        </div>

        <div class="box-body">
            <div class="form-group">
                <div class="col-sm-10 col-sm-offset-1">
                    <div class="table-responsive">
                        <table class="table table-hover" width="100%">
                            <thead class="bg-green-gradient">
                                <tr>
                                    <td width="5%" align="center">№</td>
                                    <td>Name</td>
                                    <td>Author</td>
                                    <td>Publication Year</td>
                                    <td>Genre</td>
                                    <td>Location</td>
                                    <td width="7%" align="center">Edit</td>
                                    <td width="7%" align="center">Delete</td>
                                </tr>
                            </thead>
                            <tbody>
                                {% for book in books %}
                                    <tr>
                                        <td align="center">{{ forloop.counter }}</td>
                                        <td>{{ book.name }}</td>
                                        <td>{{ book.author }}</td>
                                        <td>{{ book.publication_year }}</td>
                                        <td>{{ book.genre }}</td>
                                        <td>{{ book.location}}</td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-primary btn-sm edit_modal"
                                                    data-toggle="modal"
                                                    data-book-id="{{ book.id }}"
                                                    data-target="#books_modal">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                        </td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-danger btn-sm delete_book"
                                                    data-book-id="{{ book.id }}">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="box-footer clearfix">
            <div class="col-sm-6 col-sm-offset-5">
                <button type="button" class="btn btn-danger pull-right"
                    data-toggle="modal"
                    data-book-id="null"
                    data-target="#books_modal">Add book
                </button>
            </div>
        </div>
    </div>

    <div id="books_modal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Book</h4>
                </div>

                <div class="modal-body">
                    <form class="form-horizontal" id="form_book"> {% csrf_token %}
                        <div class="form-group" hidden>
                            <label for="book_id" class="col-sm-3 control-label">ID</label>
                            <div class="col-sm-7" id="book_id_div">
                                <input id="book_id" class="form-control" type="text" value="" readonly>
                                <span class="help-block" id="book_id_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="book_name" class="col-sm-3 control-label">Name</label>
                            <div class="col-sm-7" id="book_name_div">
                                <input id="book_name" class="form-control" type="text" value="">
                                <span class="help-block" id="book_name_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="author" class="col-sm-3 control-label">Author</label>
                            <div class="col-sm-7" id="book_author_div">
                                <input id="author" class="form-control" type="text" value="">
                                <span class="help-block" id="book_author_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="publication_year" class="col-sm-3 control-label">Publication Year</label>
                            <div class="col-sm-7" id="book_publication_year_div">
                                <input id="publication_year" class="form-control" type="text" value="">
                                <span class="help-block" id="book_publication_year_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="genre" class="col-sm-3 control-label">Genre</label>
                            <div class="col-sm-7" id="book_genre_div">
                                <select id="genre" class="form-control" type="text" name="genre"></select>
                                <span class="help-block" id="book_genre_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="location" class="col-sm-3 control-label">Location</label>
                            <div class="col-sm-7" id="book_location_div">
                                <select id="location" class="form-control" type="text" name="location"></select>
                                <span class="help-block" id="book_location_help"></span>
                            </div>
                        </div>
                    </form>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger pull-left" id="delete_book">Delete</button>
                    <button type="button" class="btn btn-warning pull-left" id="save_book">Save</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascript %}
    {{ block.super }}

    <script type="text/javascript" src="{% static 'js/books.js' %}"></script>
{% endblock %}

